﻿CREATE TABLE [dbo].[Data.Application.Resume]
(
		[Id]                                       BIGINT         NOT NULL,
		[PrimaryOnet]                              NVARCHAR (10)  NULL,
		[PrimaryROnet]                             NVARCHAR (10)  NULL,
		[ResumeSkills]                             NVARCHAR (MAX) NULL,
		[FirstName]                                NVARCHAR (50)  NULL,
		[LastName]                                 NVARCHAR (50)  NULL,
		[MiddleName]                               NVARCHAR (50)  NULL,
    [DateOfBirth]                              DATETIME       NULL,
		[Gender]                                   INT            NULL,
		[AddressLine1]                             NVARCHAR (200) NULL,
		[TownCity]                                 NVARCHAR (100) NULL,
		[StateId]                                  BIGINT         NULL,
		[CountryId]                                BIGINT         NULL,
		[PostcodeZip]                              NVARCHAR (20)  NULL,
		[WorkPhone]                                NVARCHAR (50)  NULL,
		[HomePhone]                                NVARCHAR (50)  NULL,
		[MobilePhone]                              NVARCHAR (50)  NULL,
		[FaxNumber]                                NVARCHAR (50)  NULL,
		[EmailAddress]                             NVARCHAR (200) NULL,
		[HighestEducationLevel]                    INT            NULL,
		[YearsExperience]                          INT            NULL,
		[IsVeteran]                                BIT            NULL,
		[IsActive]                                 BIT            NULL,
		[StatusId]                                 INT            NULL,
		[ResumeXml]                                NVARCHAR (MAX) NULL,
		[ResumeCompletionStatusId]                 INT            NULL,
		[IsDefault]                                BIT            NOT NULL,
		[ResumeName]                               NVARCHAR (255) NULL,
		[IsSearchable]                             BIT            NOT NULL,
		[CreatedOn]                                DATETIME       NOT NULL,
		[UpdatedOn]                                DATETIME       NOT NULL,
		[PersonId]                                 BIGINT         NOT NULL,
		[SkillsAlreadyCaptured]                    BIT            NULL,
		[CountyId]                                 BIGINT         NULL,
		[SkillCount]                               INT            NULL,
		[WordCount]                                INT            NULL,
		[VeteranPriorityServiceAlertsSubscription] BIT            NOT NULL,
		[EducationCompletionDate]                  DATETIME       NULL,
		[ResetSearchable]                          BIT            NULL,
		[IsContactInfoVisible]                     BIT            NOT NULL,
		[ExternalId]                               NVARCHAR (50)  NULL,
		[NcrcLevelId]                              BIGINT         NULL,
		[SuffixId]                                 BIGINT         NULL,
		[MigrantSeasonalFarmWorker]                BIT            NULL,
		[IsUSCitizen]                              BIT            NULL,
		[IsPermanentResident]                      BIT            NULL,
		[AlienRegistrationNumber]                  NVARCHAR (10)  NULL,
		[AlienRegExpiryDate]                       DATETIME       NULL
);

